com.taosdata.jdbc

## Class TSDBDatabaseMetaData

- java.lang.Object
- - com.taosdata.jdbc.WrapperImpl
  - - com.taosdata.jdbc.AbstractDatabaseMetaData
    - - com.taosdata.jdbc.TSDBDatabaseMetaData

All Implemented Interfaces:
  DatabaseMetaData, Wrapper

    public class TSDBDatabaseMetaData
    extends AbstractDatabaseMetaData

### Field Summary

### Fields inherited from class com.taosdata.jdbc.AbstractDatabaseMetaData

`NUMERIC_FUNCTIONS, STRING_FUNCTIONS, SYSTEM_FUNCTIONS, TIME_DATE_FUNCTIONS`

### Fields inherited from interface java.sql.DatabaseMetaData

`attributeNoNulls, attributeNullable, attributeNullableUnknown, bestRowNotPseudo, bestRowPseudo, bestRowSession, bestRowTemporary, bestRowTransaction, bestRowUnknown, columnNoNulls, columnNullable, columnNullableUnknown, functionColumnIn, functionColumnInOut, functionColumnOut, functionColumnResult, functionColumnUnknown, functionNoNulls, functionNoTable, functionNullable, functionNullableUnknown, functionResultUnknown, functionReturn, functionReturnsTable, importedKeyCascade, importedKeyInitiallyDeferred, importedKeyInitiallyImmediate, importedKeyNoAction, importedKeyNotDeferrable, importedKeyRestrict, importedKeySetDefault, importedKeySetNull, procedureColumnIn, procedureColumnInOut, procedureColumnOut, procedureColumnResult, procedureColumnReturn, procedureColumnUnknown, procedureNoNulls, procedureNoResult, procedureNullable, procedureNullableUnknown, procedureResultUnknown, procedureReturnsResult, sqlStateSQL, sqlStateSQL99, sqlStateXOpen, tableIndexClustered, tableIndexHashed, tableIndexOther, tableIndexStatistic, typeNoNulls, typeNullable, typeNullableUnknown, typePredBasic, typePredChar, typePredNone, typeSearchable, versionColumnNotPseudo, versionColumnPseudo, versionColumnUnknown`

### Constructor Summary

Constructors
Constructor and Description
`TSDBDatabaseMetaData(String url, String userName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ResultSet` `getCatalogs()`
`ResultSet` `getColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)`
`Connection` `getConnection()`
`String` `getDriverName()`
`ResultSet` `getPrimaryKeys(String catalog, String schema, String table)`
`ResultSet` `getSuperTables(String catalog, String schemaPattern, String tableNamePattern)`
`ResultSet` `getTables(String catalog, String schemaPattern, String tableNamePattern, String[] types)`
`ResultSet` `getTableTypes()`
`String` `getURL()`
`String` `getUserName()`
`void` `setConnection(Connection conn)`

### Methods inherited from class com.taosdata.jdbc.AbstractDatabaseMetaData

`allProceduresAreCallable, allTablesAreSelectable, autoCommitFailureClosesAllResultSets, dataDefinitionCausesTransactionCommit, dataDefinitionIgnoredInTransactions, deletesAreDetected, doesMaxRowSizeIncludeBlobs, generatedKeyAlwaysReturned, getAttributes, getBestRowIdentifier, getCatalogs, getCatalogSeparator, getCatalogTerm, getClientInfoProperties, getColumnPrivileges, getColumns, getCrossReference, getDatabaseMajorVersion, getDatabaseMinorVersion, getDatabaseProductName, getDatabaseProductVersion, getDefaultTransactionIsolation, getDriverMajorVersion, getDriverMinorVersion, getDriverVersion, getExportedKeys, getExtraNameCharacters, getFunctionColumns, getFunctions, getIdentifierQuoteString, getImportedKeys, getIndexInfo, getJDBCMajorVersion, getJDBCMinorVersion, getMaxBinaryLiteralLength, getMaxCatalogNameLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxProcedureNameLength, getMaxRowSize, getMaxSchemaNameLength, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength, getNumericFunctions, getPrimaryKeys, getProcedureColumns, getProcedures, getProcedureTerm, getPseudoColumns, getResultSetHoldability, getRowIdLifetime, getSchemas, getSchemas, getSchemaTerm, getSearchStringEscape, getSQLKeywords, getSQLStateType, getStringFunctions, getSuperTables, getSuperTypes, getSystemFunctions, getTablePrivileges, getTables, getTimeDateFunctions, getTypeInfo, getUDTs, getVersionColumns, insertsAreDetected, isCatalogAtStart, isReadOnly, locatorsUpdateCopy, nullPlusNonNullIsNull, nullsAreSortedAtEnd, nullsAreSortedAtStart, nullsAreSortedHigh, nullsAreSortedLow, othersDeletesAreVisible, othersInsertsAreVisible, othersUpdatesAreVisible, ownDeletesAreVisible, ownInsertsAreVisible, ownUpdatesAreVisible, storesLowerCaseIdentifiers, storesLowerCaseQuotedIdentifiers, storesMixedCaseIdentifiers, storesMixedCaseQuotedIdentifiers, storesUpperCaseIdentifiers, storesUpperCaseQuotedIdentifiers, supportsAlterTableWithAddColumn, supportsAlterTableWithDropColumn, supportsANSI92EntryLevelSQL, supportsANSI92FullSQL, supportsANSI92IntermediateSQL, supportsBatchUpdates, supportsCatalogsInDataManipulation, supportsCatalogsInIndexDefinitions, supportsCatalogsInPrivilegeDefinitions, supportsCatalogsInProcedureCalls, supportsCatalogsInTableDefinitions, supportsColumnAliasing, supportsConvert, supportsConvert, supportsCoreSQLGrammar, supportsCorrelatedSubqueries, supportsDataDefinitionAndDataManipulationTransactions, supportsDataManipulationTransactionsOnly, supportsDifferentTableCorrelationNames, supportsExpressionsInOrderBy, supportsExtendedSQLGrammar, supportsFullOuterJoins, supportsGetGeneratedKeys, supportsGroupBy, supportsGroupByBeyondSelect, supportsGroupByUnrelated, supportsIntegrityEnhancementFacility, supportsLikeEscapeClause, supportsLimitedOuterJoins, supportsMinimumSQLGrammar, supportsMixedCaseIdentifiers, supportsMixedCaseQuotedIdentifiers, supportsMultipleOpenResults, supportsMultipleResultSets, supportsMultipleTransactions, supportsNamedParameters, supportsNonNullableColumns, supportsOpenCursorsAcrossCommit, supportsOpenCursorsAcrossRollback, supportsOpenStatementsAcrossCommit, supportsOpenStatementsAcrossRollback, supportsOrderByUnrelated, supportsOuterJoins, supportsPositionedDelete, supportsPositionedUpdate, supportsResultSetConcurrency, supportsResultSetHoldability, supportsResultSetType, supportsSavepoints, supportsSchemasInDataManipulation, supportsSchemasInIndexDefinitions, supportsSchemasInPrivilegeDefinitions, supportsSchemasInProcedureCalls, supportsSchemasInTableDefinitions, supportsSelectForUpdate, supportsStatementPooling, supportsStoredFunctionsUsingCallSyntax, supportsStoredProcedures, supportsSubqueriesInComparisons, supportsSubqueriesInExists, supportsSubqueriesInIns, supportsSubqueriesInQuantifieds, supportsTableCorrelationNames, supportsTransactionIsolationLevel, supportsTransactions, supportsUnion, supportsUnionAll, updatesAreDetected, usesLocalFilePerTable, usesLocalFiles`

### Methods inherited from class com.taosdata.jdbc.WrapperImpl

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.DatabaseMetaData

`getMaxLogicalLobSize, supportsRefCursors`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### TSDBDatabaseMetaData

    public TSDBDatabaseMetaData(String url,
                                String userName)

### Method Detail

#### getConnection

    public Connection getConnection()
                             throws SQLException

Specified by:
  `getConnection` in interface `DatabaseMetaData`
Specified by:
  `getConnection` in class `AbstractDatabaseMetaData`
Throws:
  `SQLException`

#### setConnection

    public void setConnection(Connection conn)

#### getURL

    public String getURL()
                  throws SQLException

Specified by:
  `getURL` in interface `DatabaseMetaData`
Specified by:
  `getURL` in class `AbstractDatabaseMetaData`
Throws:
  `SQLException`

#### getUserName

    public String getUserName()
                       throws SQLException

Specified by:
  `getUserName` in interface `DatabaseMetaData`
Specified by:
  `getUserName` in class `AbstractDatabaseMetaData`
Throws:
  `SQLException`

#### getDriverName

    public String getDriverName()
                         throws SQLException

Throws:
  `SQLException`

#### getTables

    public ResultSet getTables(String catalog,
                               String schemaPattern,
                               String tableNamePattern,
                               String[] types)
                        throws SQLException

Specified by:
  `getTables` in interface `DatabaseMetaData`
Overrides:
  `getTables` in class `AbstractDatabaseMetaData`
Throws:
  `SQLException`

#### getCatalogs

    public ResultSet getCatalogs()
                          throws SQLException

Specified by:
  `getCatalogs` in interface `DatabaseMetaData`
Overrides:
  `getCatalogs` in class `AbstractDatabaseMetaData`
Throws:
  `SQLException`

#### getTableTypes

    public ResultSet getTableTypes()
                            throws SQLException

Specified by:
  `getTableTypes` in interface `DatabaseMetaData`
Overrides:
  `getTableTypes` in class `AbstractDatabaseMetaData`
Throws:
  `SQLException`

#### getColumns

    public ResultSet getColumns(String catalog,
                                String schemaPattern,
                                String tableNamePattern,
                                String columnNamePattern)
                         throws SQLException

Specified by:
  `getColumns` in interface `DatabaseMetaData`
Overrides:
  `getColumns` in class `AbstractDatabaseMetaData`
Throws:
  `SQLException`

#### getPrimaryKeys

    public ResultSet getPrimaryKeys(String catalog,
                                    String schema,
                                    String table)
                             throws SQLException

Specified by:
  `getPrimaryKeys` in interface `DatabaseMetaData`
Overrides:
  `getPrimaryKeys` in class `AbstractDatabaseMetaData`
Throws:
  `SQLException`

#### getSuperTables

    public ResultSet getSuperTables(String catalog,
                                    String schemaPattern,
                                    String tableNamePattern)
                             throws SQLException

Specified by:
  `getSuperTables` in interface `DatabaseMetaData`
Overrides:
  `getSuperTables` in class `AbstractDatabaseMetaData`
Throws:
  `SQLException`